
function E0090()
    InitRoom()FAI(0)
end
function E0091()
    InitRoom()FAI(1)
end
function E0092()
    InitRoom()FAI(2)
end
function E0093()
    InitRoom()FAI(3)
end
function E0094()
    InitRoom()FAI(4)
end

function InitRoom()
    MNA()
    if(FLJ("KingBack")) then
        CMU("XXXX")
    else
        CMU("CS_Jenka")
    end
end

function GoCrossRoads()
    if(FLJ("KingBack")) then
        PRI()FAO(3)TRA("CS_crossroads2","E0091",29,4,1,15)
    elseif(FLJ("Night")) then
        PRI()FAO(3)TRA("CS_crossroads_night","E0091",29,4,1,15)
    else
        PRI()FAO(3)TRA("CS_crossroads","E0091",29,4,1,15)
    end
end

function MonsterX1()
    KEY()
    MS3("是你呀~")NOD()
    CAT("\n钓到大鱼了喵？")NOD()CLR()
    if(ITJ("Arowana")) then
        CNP("Arowana1","CS_arowana_animate",0,1)
        ANP("Arowana1","dizzy")
        ITS("Arowana")
        CAT("哦哦哦哦哦！")NOD()
        CAT("\n我也是第一次见到这么大的鱼!")NOD()CLR()GIT()
        CAT("\n它甚至比我还大!")NOD()CLR()
        CAT("不过今天已经不早了，")NOD()
        CAT("\n胖咪咪卡的话我明天再帮你找。")NOD()
        CAT("\n今天我就先带它回去了~")NOD()CLO()
        MSR("SearchForMahin","BackVillageReport")
        MSD("Fishing")
        FAO(2)
        DNP("MonsterX1")DNP("Arowana1")
        FLP("Night")FLP("MonsterXLeave")
        FLP("LostArowana")
        FLP("KanpaKidnapped")
        AMC(0,0,PLY())
        SLR(0,PLY())
        FAI(0)
    else
        local count = 0;
        count = count + ITC("Chinfish");
        count = count + ITC("Bluefish");
        count = count + ITC("Redfish");
        if(count == 0) then
            CAT("嗯？还没找到呀？")NOD()
            CAT("\n快去附近的地区里找找吧~")NOD()
        else
            CAT("这鱼太小了不够塞牙缝...")NOD()
            CAT("\n快去找找大鱼吧~")NOD()
        end
    end
end